cc.funkemunky.api.utils

## Class MiscUtils

- java.lang.Object
- - cc.funkemunky.api.utils.MiscUtils

    public class MiscUtils
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Map<org.bukkit.entity.EntityType,org.bukkit.util.Vector>` `entityDimensions`

### Constructor Summary

Constructors
Constructor and Description
`MiscUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `containsIgnoreCase(java.lang.String toCheck, java.lang.String contains)`
`static long` `copy(java.io.InputStream from, java.io.OutputStream to)`
`static org.bukkit.inventory.ItemStack` `createItem(org.bukkit.Material material, int amount, java.lang.String name, java.lang.String... lore)`
`static void` `createParticlesForBoundingBox(org.bukkit.entity.Player player, BoundingBox box)`
`static void` `createParticlesForBoundingBox(org.bukkit.entity.Player player, BoundingBox box, WrappedEnumParticle type)`
`static void` `createParticlesForBoundingBox(org.bukkit.entity.Player player, BoundingBox box, WrappedEnumParticle type, float accuracy)`
`static java.util.List<java.io.File>` `getAtlasDependingPlugins()`
`static BoundingBox` `getEntityBoundingBox(org.bukkit.entity.LivingEntity entity)`
`static java.lang.String` `line()`
`static java.lang.String` `line(java.lang.String color)`
`static java.lang.String` `lineNoStrike()`
`static java.lang.String` `lineNoStrike(java.lang.String color)`
`static void` `loadPlugin(java.lang.String pl)`
`static <T> T` `parseObjectFromString(java.lang.String s, java.lang.Class<T> clazz)`
`static void` `printToConsole(java.lang.String string)`
`static void` `registerCommand(java.lang.String name, org.bukkit.plugin.java.JavaPlugin plugin)`
`static java.lang.String` `unloadPlugin(java.lang.String pl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### entityDimensions

    public static java.util.Map<org.bukkit.entity.EntityType,org.bukkit.util.Vector> entityDimensions

### Constructor Detail

#### MiscUtils

    public MiscUtils()

### Method Detail

#### containsIgnoreCase

    public static boolean containsIgnoreCase(java.lang.String toCheck,
                                             java.lang.String contains)

#### line

    public static java.lang.String line(java.lang.String color)

#### line

    public static java.lang.String line()

#### lineNoStrike

    public static java.lang.String lineNoStrike(java.lang.String color)

#### copy

    public static long copy(java.io.InputStream from,
                            java.io.OutputStream to)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### lineNoStrike

    public static java.lang.String lineNoStrike()

#### createParticlesForBoundingBox

    public static void createParticlesForBoundingBox(org.bukkit.entity.Player player,
                                                     BoundingBox box)

#### createParticlesForBoundingBox

    public static void createParticlesForBoundingBox(org.bukkit.entity.Player player,
                                                     BoundingBox box,
                                                     WrappedEnumParticle type)

#### createParticlesForBoundingBox

    public static void createParticlesForBoundingBox(org.bukkit.entity.Player player,
                                                     BoundingBox box,
                                                     WrappedEnumParticle type,
                                                     float accuracy)

#### unloadPlugin

    public static java.lang.String unloadPlugin(java.lang.String pl)

#### parseObjectFromString

    public static <T> T parseObjectFromString(java.lang.String s,
                                              java.lang.Class<T> clazz)
                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getEntityBoundingBox

    public static BoundingBox getEntityBoundingBox(org.bukkit.entity.LivingEntity entity)

#### registerCommand

    public static void registerCommand(java.lang.String name,
                                       org.bukkit.plugin.java.JavaPlugin plugin)

#### createItem

    public static org.bukkit.inventory.ItemStack createItem(org.bukkit.Material material,
                                                            int amount,
                                                            java.lang.String name,
                                                            java.lang.String... lore)

#### getAtlasDependingPlugins

    public static java.util.List<java.io.File> getAtlasDependingPlugins()

#### loadPlugin

    public static void loadPlugin(java.lang.String pl)

#### printToConsole

    public static void printToConsole(java.lang.String string)